// -*- c++ -*-

#ifndef UIUTILS_H
#define UIUTILS_H

#include <QtScript/qscriptable.h>
#include <QtScript/qscriptengine.h>

class QScriptEngine;

class UiUtils
{
public:
    static void install( QScriptEngine *engine );
    static void installWidgets(  QScriptEngine *engine );

private:
    static QScriptValue createWidget(QScriptContext *context, QScriptEngine *engine);
    static QScriptValue load(QScriptContext *context, QScriptEngine *engine);
    static QScriptValue exec(QScriptContext *context, QScriptEngine *engine);
};

#endif // UIUTILS_H
